<div id="bannerFournisseur">
    <div class="col-sm">
      <h3>Nouveau fournisseur</h3>
    </div>
</div>
<br/>
<div class="container">
    <form #f="ngForm" (ngSubmit)="onSubmit()">

        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-user fa-lg"></i></div>

                </div>
                <input type="text" class="form-control" required [(ngModel)]="fournisseur.nom" [ngModelOptions]="{standalone: true}" placeholder="nom du fournisseur">
            </div>
        </div> 

        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-map-marker fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="fournisseur.adresse" [ngModelOptions]="{standalone: true}" placeholder="adresse">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-map-marker fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="fournisseur.complementAdresse" [ngModelOptions]="{standalone: true}" placeholder="complément d'adresse">
            </div>
        </div>

        <div class="form-group">
            <select class="form-control" required [(ngModel)]="fournisseur.ville" [ngModelOptions]="{standalone: true}">
                <option [ngValue]="undefined" hidden selected> Choisissez une ville </option>
                <option *ngFor="let ville of villes" [ngValue]="ville">{{ville.codePostal}} {{ville.nom}}</option>
            </select>
        </div>

        <div class="form-group">
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-phone fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="fournisseur.numeroFixe" [ngModelOptions]="{standalone: true}"  placeholder="téléphone">
            </div>
        </div>
        
        <div class="form-group">
            <label class="sr-only">Téléphone</label>
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-phone fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="fournisseur.numeroPort" [ngModelOptions]="{standalone: true}"  placeholder="portable">
            </div>
        </div>

        <div class="form-group">
            <label class="sr-only">Email</label>
            <div class="input-group mb-2 mr-sm-2">
                <div class="input-group-prepend">
                    <div class="input-group-text"><i class="fa fa-envelope fa-lg"></i></div>
                </div>
                <input type="text" class="form-control" required [(ngModel)]="fournisseur.email" [ngModelOptions]="{standalone: true}"  placeholder="email">
            </div>
        </div>

        
        <button type="submit" class="btn btn-primary mb pull-right">Enregistrer</button>
        
    </form>
</div>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
